org.apache.commons.math3.analysis.function

## Class HarmonicOscillator.Parametric

- java.lang.Object
- - org.apache.commons.math3.analysis.function.HarmonicOscillator.Parametric

- All Implemented Interfaces:
    ParametricUnivariateFunction
  Enclosing class:
    HarmonicOscillator

      public static class HarmonicOscillator.Parametric
      extends Object
      implements ParametricUnivariateFunction

  Parametric function where the input array contains the parameters of the harmonic oscillator function, ordered as follows:
  - Amplitude
  - Angular frequency
  - Phase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HarmonicOscillator.Parametric()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `gradient(double x, double... param)` Computes the value of the gradient at `x`.
    `double` | `value(double x, double... param)` Computes the value of the harmonic oscillator at `x`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HarmonicOscillator.Parametric

          public HarmonicOscillator.Parametric()

  - ### Method Detail

    - #### value

          public double value(double x,
                     double... param)

      Computes the value of the harmonic oscillator at `x`.
      Specified by:
        `value` in interface `ParametricUnivariateFunction`
      Parameters:
        `x` - Value for which the function must be computed.
        `param` - Values of norm, mean and standard deviation.
      Returns:
        the value of the function.
      Throws:
        `NullArgumentException` - if `param` is `null`.
        `DimensionMismatchException` - if the size of `param` is not 3.

    - #### gradient

          public double[] gradient(double x,
                          double... param)

      Computes the value of the gradient at `x`. The components of the gradient vector are the partial derivatives of the function with respect to each of the parameters (amplitude, angular frequency and phase).
      Specified by:
        `gradient` in interface `ParametricUnivariateFunction`
      Parameters:
        `x` - Value at which the gradient must be computed.
        `param` - Values of amplitude, angular frequency and phase.
      Returns:
        the gradient vector at `x`.
      Throws:
        `NullArgumentException` - if `param` is `null`.
        `DimensionMismatchException` - if the size of `param` is not 3.

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.